Subject: [ippm] Draft RFC 2330 Update submission

From: Joachim Fabini <[email-masked]>
Date: Mon, 15 Jul 2013 12:23:52 +0200

Dear all,

we have submitted the RFC2330 Update draft last week, it is available 
online at https://datatracker.ietf.org/doc/draft-ietf-ippm-2330-update/.

As a side-note: the time-slotted randomness cancellation (TSRC) issue, 
which the draft discusses, questions appropriateness of end-to-end 
measurement methodologies for sequences of time-slotted links - not only 
for wireless but also for wired access links. We will present some 
details/measurement results in Berlin and would welcome a discussion on 
the potential impact that TSRC can have onto the future lmap architecture.

More details on TSRC and its impact on measurements can be found in 
reference [TSRC] of the draft. The paper is currently available as 
early-access in IEEExplore, you may contact me (JF) by email in case you 
have no access to it.

regards
Joachim and Al.

-- 
---------------------------------------
Dr. Joachim Fabini
Institute of Telecommunications
Vienna University of Technology
Favoritenstraße 9/389
A-1040 Vienna, Austria

Tel:    +43 1 58801-38813
Fax:    +43 1 58801-38898
mailto: [email-masked]
---------------------------------------

---

From: Konstantinos Pentikousis <[email-masked]>
Date: Fri, 26 Jul 2013 16:03:57 +0000

Dear Joachim, Al, all,

Many thanks for the draft which reads well over all and addresses a very pertinent problem: the current framework may not be suitable for a range of technologies as has been demonstrated in the literature you cite. Especially with respect to the wireless network cases you mention in the draft, I'd note that although the type of state-based access control is becoming much faster than previous generations of cellular networks, it will not go away completely in the mid-term. Plus, we should anticipate that other types of (different) access states could come into play once network functions become virtualized, or once the network includes significant parts that are software-defined. On-demand network resource allocation, scale-out, -up and flexible redeployment of resources will only further add to this. I agree with the text that the classic pov that there is a dedicated pipe somewhere is for most networks no longer the case, hence we need to revise the framework.

However, I find the term "reactive networks" a bit incorrect or, if you want, no all-encompassing of the behavior that an enhanced IPPM framework should consider. I gather that this is a term defined in this document. At least, I am not aware of earlier peer-reviewed literature using this term extensively. Perhaps I'm mistaken; could you please offer some pointers? 

Moreover, on-demand allocation may not be the result of on-going traffic only. At least, it may not be "reactive" to the particular flow you're measuring. For example, it may be indeed that due to the active measurement flow more resources are allocated. It may be as well because the time of the day has changed. Both are on-demand (traffic-volume vs. policy triggered) but not "reactive". As such, I'm not very happy with this term. In addition the definition is quite loose: "one or more successive measurements cause one or more network components to process future packets using a different mode of operation than for other measurement outcomes" - this could even happen today with a queue in the absence of higher-priority traffic, or when DPI is used on a random/profiled basis. The fact that a box-in-the-middle may treat packets differently is not really new. I could imagine the background of your thinking here (cellular base station access control changes, for example), but the text does not reflect it.

Many measurements will happen over overlays or virtualized networks by the time this draft becomes an RFC. This is also not captured in the document, and I think we should include it given the state and direction of the industry lately.  Note that I do not refer to mobility, and I'm not even delving into aspects such as small-cell or HetNet deployments etc. from a wireless perspective which are coming our (IPPM) way. I'm not also sure why you opt for excluding networks that differentiate traffic based on port numbers from being reactive. Being "reactive" (or not), as per the example at the end of the sec. 1.1 may well depend exactly on that: allocate resources different depending on the inferred type of traffic. Of course, I couldn't agree more with you about the fact that "Networks have evolved and test stream descriptions must evolve with them", but I think we may have an opportunity to do more here than simply capturing what has been the case in earlier generations of cellular networks. Therefore, I'd like to discuss further the definition of sec. 1.1 next week if you can spare the time.

I fully agree that network treatment may depend on Type-P, but item 3 in sec. 3 is not fully correct. First, you may have the same effect without any change in access technology. States inside the access network may change depending on traffic flow, inactivity timers, but also policies. The paper "Theory and Practice of RRC State Transitions in UMTS Networks", for example (http://dx.doi.org/10.1109/GLOCOMW.2009.5360763), could be added as valuable reference in this case as it explains such network behavior in detail.

You're also making the implicit assumption that the tests are performed from stationary hosts; mobility is not really discussed in the draft. 

In sec. 3.1.2, you should consider mentioning VoIP (and other types of traffic) aggregation in addition to compression. For example, we explored earlier the implications of VoIP aggregation (http://dl.acm.org/citation.cfm?id=1390599) as well as the combination of different types of multimedia traffic over WiMAX (http://dx.doi.org/10.1109/WIOPT.2008.4586026). In general, other types of content manipulation (including placeholders for advertisements, for instance), which a typical measurement won't capture should be mentioned. Finally, regarding the HSPA comment at the end of this section, you should find earlier work by Jurvansuu et al. telling: http://dx.doi.org/10.1109/ICC.2007.83 

As mentioned above, access technology change (sec. 3.3) should discuss other aspects here, including perhaps mobility, in more detail. Moving from one macro base station which is lightly loaded to another one which is heavily loaded, or to one that has backhaul limitations, or from a macro cell to a femto cell, may be a world of difference. And this is not "reactive" in the way it is described in sec. 1.1 :) In addition, there are several protocols that can shield upper layers from determining that an access change has occurred. From an upper layer's point of view the delay may be as well a result of e2e congestion and not due to inter- or intra-access handover.

I'm not sure I understand the recommendation in sec. 3.4 that "End-to-end metrics can provide accurate measurement results for short-term sessions and low likelihood of flow state modifications." and I'm looking forward to the measurement results you mention below. Earlier work (http://dx.doi.org/10.1109/LCOMM.2005.1506708) indicated that such an end-to-end metric, i.e. application-layer throughput ("goodput"), may give completely different indications for a range of simple data transfers. This is of course specific to access technology, but I think we could discuss further the recommendation. And, it's hard for me to think of "stable network conditions" :)

Looking forward to the presentation next week!

Best regards,

Kostas

|-----Original Message-----
|From: Joachim Fabini [mailto:[email-masked]]
|Sent: Monday, July 15, 2013 12:24 PM
|To: [email-masked]
|Cc: Al Morton; [email-masked]
|Subject: [ippm] Draft RFC 2330 Update submission
|
|Dear all,
|
|we have submitted the RFC2330 Update draft last week, it is available
|online at https://datatracker.ietf.org/doc/draft-ietf-ippm-2330-update/.
|
|As a side-note: the time-slotted randomness cancellation (TSRC) issue,
|which the draft discusses, questions appropriateness of end-to-end
|measurement methodologies for sequences of time-slotted links - not only
|for wireless but also for wired access links. We will present some
|details/measurement results in Berlin and would welcome a discussion on
|the potential impact that TSRC can have onto the future lmap
|architecture.
|
|More details on TSRC and its impact on measurements can be found in
|reference [TSRC] of the draft. The paper is currently available as
|early-access in IEEExplore, you may contact me (JF) by email in case you
|have no access to it.
|
|regards
|Joachim and Al.
|
|--
|---------------------------------------
|Dr. Joachim Fabini
|Institute of Telecommunications
|Vienna University of Technology
|Favoritenstraße 9/389
|A-1040 Vienna, Austria
|
|Tel:    +43 1 58801-38813
|Fax:    +43 1 58801-38898
|mailto: [email-masked]
|---------------------------------------